Bug 230692 - [exp-run] change USE_GL to USES
Summary: [exp-run] change USE_GL to USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 12:22 UTC by Niclas Zeising
Modified: 2018-09-22 12:50 UTC (History)
1 user (show)

See Also:
zeising: exp-run?


Attachments
switch to USES=gl, rev 1 (3.31 KB, patch)
2018-08-17 12:22 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2018-08-17 12:22:17 UTC
Created attachment 196278 [details]
switch to USES=gl, rev 1

Attached patch adds Mk/Uses/gl.mk, instead of having the code in bsd.ports.mk.

This is designed such that you need USES=gl, and then specify components as needed with USE_GL= as before.  For backwards compatibility, USE_GL= automatically sets USES=gl.
Comment 1 Mathieu Arnold freebsd_committer 2018-08-17 15:51:57 UTC
Could you please put the patch in a code review to ease the review process?
Comment 2 Niclas Zeising freebsd_committer 2018-08-17 16:00:17 UTC
Hi!
Here's the phab review: https://reviews.freebsd.org/D16774
Comment 3 Niclas Zeising freebsd_committer 2018-08-20 22:18:50 UTC
The patch has been updated in phabricator, based on comments there.
Comment 4 Niclas Zeising freebsd_committer 2018-08-26 10:03:04 UTC
Patch updated in phabricator.
Comment 5 Niclas Zeising freebsd_committer 2018-08-29 18:36:34 UTC
Patch updated in phabricator
Comment 6 Antoine Brodin freebsd_committer 2018-08-31 17:03:01 UTC
Some new failure:

http://package23.nyi.freebsd.org/data/111i386-default-PR230692PR230909/2018-08-29_18h58m56s/logs/errors/q3cellshading-1.0_3.log

USES must happen before bsd.port.pre.mk inclusion.
Comment 7 Niclas Zeising freebsd_committer 2018-09-01 11:08:09 UTC
Patch updated in phabricator with fix for the build failure.
Comment 8 Niclas Zeising freebsd_committer 2018-09-10 10:52:58 UTC
Everything in the phab review is taken care of.  What is missing to get approval for this?
Comment 9 Antoine Brodin freebsd_committer 2018-09-10 12:04:49 UTC
Looks fine, don't forget to fix the remaining ports.
Comment 10 commit-hook freebsd_committer 2018-09-10 19:57:02 UTC
A commit references this bug:

Author: zeising
Date: Mon Sep 10 19:56:33 UTC 2018
New revision: 479445
URL: https://svnweb.freebsd.org/changeset/ports/479445

Log:
  Change USE_GL to become USES=gl.

  Change USE_GL to become USES=gl.  You still need to specify USE_GL as well,
  to specify which gl components you need, such as egl glesv2 glut glu glw gl.
  Only specifying USE_GL is supported for now, to ease in transition.  It is
  however deprecated, and will be removed eventually.
  Specifying USES=gl without USE_GL is an error.
  USE_GL=yes is also deprecated, but supported for now.  It implies USE_GL=glu.

  Fix fallout from this change.

  PR:		230692
  Approved by:	portmgr (antoine)
  exp-run by:	antoine
  Reviewed by:	mat
  Differential Revision:	https://reviews.freebsd.org/D16774

Changes:
  head/Mk/Uses/gl.mk
  head/Mk/bsd.port.mk
  head/games/q3cellshading/Makefile
Comment 11 Niclas Zeising freebsd_committer 2018-09-10 20:05:59 UTC
Committed, closing.
Comment 12 Antoine Brodin freebsd_committer 2018-09-22 08:12:57 UTC
It seems that this broke games/xpilot-ng-client
Comment 13 commit-hook freebsd_committer 2018-09-22 12:49:28 UTC
A commit references this bug:

Author: zeising
Date: Sat Sep 22 12:49:02 UTC 2018
New revision: 480381
URL: https://svnweb.freebsd.org/changeset/ports/480381

Log:
  Fix build after switch to USES=gl

  Fix build by using USES=gl properly, instead of USE_GL=yes.  The latter
  caused issues on the slave port.

  PR:		230692
  Reported by:	antoine

Changes:
  head/games/xpilot-ng-client/Makefile
  head/games/xpilot-ng-server/Makefile
Comment 14 Niclas Zeising freebsd_committer 2018-09-22 12:50:16 UTC
Should be fixed now.